lv.eparaksts.helpers

## Class QualifiedSignatureHelper

- java.lang.Object
- - lv.eparaksts.helpers.QualifiedSignatureHelper

- Direct Known Subclasses:
    ArchivedSignatureHelper

      public class QualifiedSignatureHelper
      extends Object

  `QualifiedSignatureHelper` is a helper to create EDOC 2.0 QUALIFIED - LT (Long Term) profile signature.
  See Also:
    `SignatureProfile`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `QualifiedSignatureHelper(X509Certificate signingCertificate, TimeStamp timestamp)` Creates helper and prepares all required data for QUALIFIED profile certificate.
    `` | `QualifiedSignatureHelper(X509Certificate signingCertificate, TimeStamp timestamp, boolean useTrustedList)` Creates helper and prepares all required data for QUALIFIED profile certificate.
    `` | `QualifiedSignatureHelper(X509Certificate signingCertificate, TimeStamp timestamp, TrustStore trustStore)`
    `` | `QualifiedSignatureHelper(X509Certificate signingCertificate, TimeStamp timeStamp, TrustStore trustStore, boolean signingCertificateCrlEnabled)`
    `protected` | `QualifiedSignatureHelper(X509Certificate signingCertificate, TimeStamp timeStamp, TrustStore trustStore, boolean signingCertificateCrlEnabled, boolean archivedSignatureHelper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<byte[]>` | `getCertificates()` Returns a list of certificates
    `List<byte[]>` | `getCRLResponses()` Returns a list of CRL
    `List<byte[]>` | `getOCSPResponses()` Returns a list of OCSP responses
    `protected boolean` | `ocspNoCheck(X509Certificate ocspCertificate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QualifiedSignatureHelper

          public QualifiedSignatureHelper(X509Certificate signingCertificate,
                                          TimeStamp timestamp)
                                   throws Exception

      Creates helper and prepares all required data for QUALIFIED profile certificate.
      Parameters:
        `signingCertificate` -
        `timestamp` -
      Throws:
        `Exception`

    - #### QualifiedSignatureHelper

          public QualifiedSignatureHelper(X509Certificate signingCertificate,
                                          TimeStamp timestamp,
                                          boolean useTrustedList)
                                   throws Exception

      Creates helper and prepares all required data for QUALIFIED profile certificate.
      Parameters:
        `signingCertificate` -
        `timestamp` -
        `useTrustedList` - whether to use EU Trusted Status List data.
      Throws:
        `Exception`

    - #### QualifiedSignatureHelper

          public QualifiedSignatureHelper(X509Certificate signingCertificate,
                                          TimeStamp timestamp,
                                          TrustStore trustStore)
                                   throws Exception

      Throws:
        `Exception`

    - #### QualifiedSignatureHelper

          public QualifiedSignatureHelper(X509Certificate signingCertificate,
                                          TimeStamp timeStamp,
                                          TrustStore trustStore,
                                          boolean signingCertificateCrlEnabled)
                                   throws Exception

      Throws:
        `Exception`

    - #### QualifiedSignatureHelper

          protected QualifiedSignatureHelper(X509Certificate signingCertificate,
                                             TimeStamp timeStamp,
                                             TrustStore trustStore,
                                             boolean signingCertificateCrlEnabled,
                                             boolean archivedSignatureHelper)
                                      throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### ocspNoCheck

          protected boolean ocspNoCheck(X509Certificate ocspCertificate)
                                 throws Exception

      Throws:
        `Exception`

    - #### getCertificates

          public List<byte[]> getCertificates()

      Returns a list of certificates
      Returns:
        a list of certificates

    - #### getOCSPResponses

          public List<byte[]> getOCSPResponses()

      Returns a list of OCSP responses
      Returns:
        a list of OCSP responses

    - #### getCRLResponses

          public List<byte[]> getCRLResponses()

      Returns a list of CRL
      Returns:
        a list of CRL

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO